﻿.row {
    margin: 0;
}

#div-online h5, #div-online-desk h5 {
    font-size: 12pt;
    font-weight: bold;
    cursor: pointer;
    border-image-source: -webkit-linear-gradient(left, #fff, #a0a2a2, #fff);
    border-image-slice: 1;
    border-bottom: solid 1px;
    border-radius: 5px;
    padding: 5px 0px 5px 10px;
}

    #div-online h5:hover {
        cursor: pointer;
    }

.h5-toggle i {
    margin-right: 5px;
}

.ul-online {
    padding-left: 15px;
    margin-bottom: 0;
}

#div-online-content, #div-online-content-desk {
    overflow: auto;
    height: calc(100% - 5px);
}

.ul-online li {
    display: grid;
    list-style: none;
    line-height: 1;
    white-space: nowrap;
    width: 100%;
    grid-template-columns: min-content 25px auto min-content;
    padding: 3px 0px;
}
.gs_hsname {
}
.ul-online .div-button i {
    color: #000;
}

    .ul-online .div-button i.hide {
        color: #aaa;
    }

.ul-online li .div-button {
    float: right;
    /*display: none;*/
}

    .ul-online li .div-button a.no-use{
        display: none;
    }

    .ul-online li .div-button a {
        margin: 0 3px;
    }

        .ul-online li .div-button a:hover {
            cursor: pointer;
        }

.ul-online i.fa-solid.fa-circle {
    font-size: 8pt;
    margin-inline-end: 5px;
    color: #ccc;
    align-self: center;
    padding: 0px;
    border: 3px solid #c8c8c878;
    border-radius: 99px;
    margin-right: 5px;
}

    .ul-online i.fa-solid.fa-circle.online {
        color: #4CAF50;
        border: 3px solid #8deb8d78;
    }

.tox.tox-tinymce.hs {
    height: 100% !important;
}

.tox.tox-tinymce {
    height: 100% !important;
}

.tox-statusbar__branding {
    display: none !important;
}

#chat-show {
    padding: 5px;
}

p.p-time-chat {
    margin: 0;
    text-align: right;
    font-size: 8pt;
}


.mydfaAutoHide {
    font-family: Arial;
    font-style: normal;
    font-size: 14px;
    font-weight: bold;
    padding-right: 6px;
    border-right: solid 1px #ccc;
    color: #fff;
    background: #05798c;
    width: 100px !important;
}

    .mydfaAutoHide:hover {
        background-Color: #04879cd4;
        text-decoration: none;
        cursor: pointer;
    }

.dftabpanel {
    background-Color: #d8d7d787;
    color: Black;
    font-family: Arial;
    font-style: italic;
    font-size: 12px/30px;
    font-weight: bold;
    height: 28px !important;
}

.mydfaTabInactive {
    background-Color: #ccc !important;
    font-family: Arial !important;
    background: #ddd !important;
    height: 24px !important;
    border-bottom: solid 1px #aaa;
    color: #585555 !important;
}

.mydfaTabActive {
    border-bottom-right-radius: 15px 15px;
    color: white !important;
    background: #207ab7 !important;
    height: 24px !important;
    font-family: Arial !important;
}

input#txt-input-chat {
    border-radius: 0;
    padding: 2px;
    font-size: 11pt;
}

    input#txt-input-chat:focus {
        box-shadow: none;
        border-color: none !important;
    }


div#chat-show-desk {
    height: 100%;
    overflow-y: auto;
}

.row-msg{
    max-width:100%;
}

div#chat-show {
    height: calc(100% - 35px);
    overflow-y: auto;
}

#chat-show .div-avatar.me, #chat-show-desk .div-avatar.me {
    float: right;
}

#chat-show .content-msg.me, #chat-show-desk .content-msg.me {
    width: calc(95% - 30px);
    padding: 2px 5px;
}

    #chat-show .content-msg.me p.msg, #chat-show-desk .content-msg.me p.msg {
        background: #6ecfff52;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 0;
    }

#chat-show .div-avatar, #chat-show-desk .div-avatar {
    position: relative;
}

    #chat-show .div-avatar img, #chat-show-desk .div-avatar img {
        position: absolute;
        bottom: 21px;
        border-radius:50px;
    }

    #chat-show .div-avatar.dif, #chat-show-desk .div-avatar.dif {
        float: left;
        border-radius: 50px;
    }

#chat-show .content-msg.dif, #chat-show-desk .content-msg.dif {
    width: calc(95% - 30px);
    padding: 2px 5px;
    margin-left: 30px;
    border: 1px solid white;
    border-radius: 10px;
    margin-top: 2px;
}

#chat-show .content-msg.dif, #chat-show-desk .content-msg.dif:hover {
    border: 1px solid lightblue;
}

    #chat-show .content-msg.dif.gv {
        /*background: #e8cba9 !important;*/
    }

#chat-show .clearfix, #chat-show-desk .clearfix {
    clear: both;
    height: 0px;
}

div#chat-input, div#div-input-desk {
    border-top: solid 1px #ccc;
    padding-top: 2px;
}

button#bt-send-chat, button#bt-send-chat-desk {
    border: solid 1px #ccc;
    border-left: 0;
    color: #0b649c;
    font-size: 12pt;
    padding: 2px 5px;
    border-radius: 0;
}

    #txt-input-chat, #txt-input-chat-desk{
        border-radius: 0;
    }

n#txt-input-chat:focus, #txt-input-chat-desk:focus {
    box-shadow: none;
}

    p.name {
        margin: 0;
        font-size: 7pt;
        /*font-weight: bold;*/
        margin-bottom: 2px;
        color: #610202;
        text-transform: uppercase;
        padding: 0 5px;
    }

#chat-show .content-msg.me p.name, #chat-show-desk .content-msg.me p.name {
    display: none;
}



p.msg {
    font-size: 11pt;
    margin: 0;
    padding: 5px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

#chat-show .content-msg.dif p.msg, #chat-show-desk .content-msg.dif p.msg {
    background: #e9ecef;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 10px;
}


#chat-show .content-msg.dif.gv p.msg, #chat-show-desk .content-msg.dif.gv p.msg {
    background: #e9ecef !important
}

#chat-show .div-left-me, #chat-show-desk .div-left-me {
    width: 5%;
}

#div-title-chat i {
    right: 10px;
    top: 4px;
    position: absolute;
}

    #div-title-chat i.unpin {
        transform: rotate(90deg);
    }

div.dock {
    background: #fff;
}

p.p-comment-error {
    text-align: right;
    color: red;
    font-size: 10pt;
    margin: 0;
    padding: 2px 5px;
}

#div-info p {
    margin: 0;
    font-weight: bold;
    color: #207ab7;
}

    #div-info p span {
        font-weight: 500;
        color: #dc3545;
    }

div#div-control a {
    color: #05798c;
}

#div-nav-editor {
    padding: 5px;
}

div#div-nav-online {
    padding: 5px;
    text-align: right;
}

#tinymce a {
    text-decoration: none;
}

/*.tox-pop__dialog{
            display:none;
        }*/
.modal-backdrop {
    display: none;
}

#div-nav-editor .modal-dialog {
    margin: 20vh 0 0 35vw;
    max-width: 50vw !important;
    width: 50%;
}

#div-nav-editor .modal-header .close {
    padding: 2px;
    width: 28px;
    margin: -3px -8px;
}

    #div-nav-editor .modal-header .close:focus {
        outline: none;
    }

input#__FileUpload_File {
    margin: 5px 0;
}

button#bt-backroomlist {
    width: 50px;
}

#div-info-content{
    padding: 2px;
}

#bt-playstop i.hide{
    color: #aaa;
}

.mce-content-body{
    margin: 5px !important;
}

.div-link-file {
    padding: 2px 5px;
}

    .div-link-file a {
        margin-right: 10px;
        font-size: 11pt;
        background: #207ab7;
        padding: 5px 10px;
        border-radius: 5px;
        color: #fff;
        line-height: 2.5;
    }

    .div-link-file a:hover{
        text-decoration: none;
    }

div#div-content-hs {
    width: 100%;
    height: 100%;
    padding: 5px;
    overflow-y: auto;
}

    div#div-content-hs a {
        color: #626262;
        font-size: 14px;
        text-decoration: underline;
    }

    div#div-content-hs p {
        color: #626262;
        font-size: 14px;
    }

#div-video.mobile{
    padding-left: 0;
}

#divContentZone.mobile{
    border: none !important;
}

.toolbar-inner .nav-item .icon-tab {
    margin-left: 0 !important;
    font-size: 15pt;
}

.toolbar-inner .nav-item .p-name-tab {
    margin: 0;
    font-size: 8pt;
}

/*End Mobile*/
body#tinymce p {
    margin: 5px 0 !important;
}

#divContentZone{
    border: none !important;
}

#div-container{
    /*margin-top: 5px;*/
}

#div-tab-mobile.col-md-9{
    padding: 0 5px;
}

#modalTatChat .modal-header {
    padding: 5px;
    background: #dc3545;
}

    #modalTatChat .modal-header h4.modal-title {
        font-size: 15pt;
        color: #fff;
    }

/*div#div-lockchat-all {
    margin-bottom: 5px;
    border-bottom: solid 1px #ccc;
}

#div-lockchat-all p {
    margin: 0;
    font-size: 10pt;
    font-weight: bold;
    padding: 2px 5px;
}

input#check-lockchat-all {
    margin-left: 5px;
}*/

#div-context-menu {
    width: 25px;
    height: 25px;
    position: initial;
    margin-top: -25px;
    margin-left: calc(100% - 60px);
    color: #fff;
    text-align: center;
    border-radius: 50%;
    line-height: 1.8;
}

#div-context-menu.red{
    background: red;
}
#div-context-menu.green{
    background: green;
}

.row-hidden{
    display: none;
}

.canvas_container {
/*  //  height: calc(100vh - 215px);*/
    overflow: auto;
    background: #ccc;
    padding: 15px 0;
}

.sub-container{
    margin: 0 auto;
}

.navigation_controls {
    text-align: center;
    padding-top: 5px;
}

.navigation_controls button{
    margin: 0 2px;
    border: solid 1px #ccc;
    border-radius: 5px;
}

    .navigation_controls button.go_previous, .navigation_controls button.go_next {
        width: 80px;
    }

    .navigation_controls button.zoom_in, .navigation_controls button.zoom_out {
        width: 30px;
    }

    .navigation_controls .current_page {
        width: 50px;
    }

.gs_divhs{
    display:flex;
    flex-wrap:wrap;
}

.gs_out {
    margin: 0 5px 5px 0px;
    padding: 2px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
}

.gs_view {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.gs_title {
    color: #0381c7;
    display: inline-flex;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.gs_tenhs {
    overflow: hidden;
    text-overflow: ellipsis;
    direction: rtl;
    font-size: smaller;
}


.gs_stt{
    border: 1px solid gray;
    border-radius:99px;
}

.gs_ngaytao {
    border-radius: 0.2em;
    background-color: #ffffff73;
    padding: 2px 5px;
    position: fixed;
    margin: 30px 10px;
    font-size: small;
}

@keyframes gs_alert {
    0% {
        color: red;
        margin:0px;
    }

    50% {
        color: darkorange;
    }

    100% {
        color: darkred;
        margin: 0px;
    }
}

.gs-cam {
    border: 1px solid;
    border-radius: 55px;
    font-size: small;
    text-align: center;
    user-select: none;
    padding: 0px 5px;
    margin: 0px 5px 2px 0px;
}

.gs-cam-0 { /* HS chưa mở cam hoặc không có cam*/
    border-color:gray;
    color:black;
}

.gs-cam-1 { /* nhận dạng được*/
    border-color: blue;
    color: darkturquoise;
}

.gs-cam-2 { /* không phát hiện học sinh*/
    border-color: orange;
    color: red;
    animation-name: gs_alert;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

.gs-cam-3 { /* phát hiện nhưng không đúng*/
    border-color: blue;
    color: darkorange;
}

.gs-cam-4 { /* có nhiều hs cùng lúc, ghi toàn ảnh*/
    border-color: blue;
    color: crimson;
}

.gs-cam-5 { /* chưa có thông tin người dùng*/
    border-color: red;
    color: black;
}

.gs-thongke-div{
    display:inline-block;
    color:crimson;
}

.dapan-dung {
    color: #0008ff !important;
    font-weight: 800;
}

.dapan-chon {
    color: #e44b4b;
    font-weight: 600;
}

span.dapan-chon {
    border: solid 2px #222f3e;
    border-radius: 50%;
    padding: 0px 5px;
}

.tv-btn-sub {
    position: absolute;
    opacity: 0.5;
    padding: 2px 10px 8px 5px;
    background: #6262626b;
    border-bottom-right-radius: 50px;
    text-shadow: 1px 1px white;
    cursor: pointer;
    z-index: 1051;
}

    .tv-btn-sub:hover {
        opacity: 1;
    }

        .tv-btn-sub:hover i {
            animation: swing ease-in-out 0.5s 1 alternate;
        }

.tv-btn-sub-right {
    z-index: 2;
    /* margin: -4px 0px 0px -6px; */
    font-size: x-small;
    padding: 0px;
    background: var(--info);
    border-bottom-right-radius: 0px;
    opacity: 1;
    right: 0px;
    top: 0px;
    border-bottom-left-radius: 50px;
    padding: 0px 0px 3px 5px;
}

.noteupdate {
    color: red;
    font-size: 8px;
    margin: 0px 0px 5px 0px;
    display: block;
    text-shadow: 1px 1px 0px #ffc107;
}

.cmt{
    min-width:20px;
}

.cmt.fa-comment{
    color:lightgray!important;
}